Summary: 	Software decoder for DV format video.
Name: 		libdv
Version: 	0.103
Release:	1
Epoch:		0
License: 	LGPL
Group: 		System Environment/Libraries
URL: 		http://libdv.sourceforge.net/
Source0: 	http://dl.sourceforge.net/sourceforge/libdv/libdv-0.103.tar.gz
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	gtk+-devel >= 0:1.2.4
ExcludeArch:    s390 s390x

%package	devel
Summary:	Development package for libdv
Group:		Development/Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}

%package	tools
Summary:	Basic tools to manipulate Digital Video streams
Group:		Applications/Multimedia
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description
The Quasar DV codec (libdv) is a software codec for DV video, the
encoding format used by most digital camcorders, typically those that
support the IEEE 1394 (a.k.a. FireWire or i.Link) interface. libdv was
developed according to the official standards for DV video: IEC 61834
and SMPTE 314M.

%description tools
This package contains some basic programs to display and encode
digital video streams. This programs uses the Quasar DV codec (libdv),
a software codec for DV video, the encoding format used by most
digital camcorders, typically those that support the IEEE 1394
(a.k.a. FireWire or i.Link) interface.

%description devel
This package contains development files for libdv.

%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc COPYING COPYRIGHT ChangeLog
%{_libdir}/libdv.so.*

%files tools
%defattr(-,root,root,-)
%doc README.*
%{_bindir}/dvconnect
%{_bindir}/encodedv
%{_bindir}/playdv
%{_bindir}/dubdv
%{_mandir}/man1/dubdv.1.gz
%{_mandir}/man1/dvconnect.1.gz
%{_mandir}/man1/encodedv.1*
%{_mandir}/man1/playdv.1*

%files devel
%defattr(-,root,root,-)
%exclude %{_libdir}/libdv.la
%{_libdir}/libdv.so
%{_libdir}/libdv.a
%{_libdir}/pkgconfig/libdv.pc
%{_includedir}/%{name}

%changelog
* Sun Sep 19 2004 Warren Togami <wtogami@redhat.com> - 0:0.103-1
- upgrade to 0.103

* Sun Jun 20 2004 Jeremy Katz <katzj@redhat.com> - 0:0.102-4
- gtk+ doesn't need to be in the .pc file (committed upstream, reported 
- don't require gtk+-devel for -devel package (unneeded)
  to fedora-devel-list by John Thacker)

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Sun May 30 2004 Warren Togami <wtogami@redhat.com> 0:0.102-2
- Bug #123367 -devel Req gtk+-devel

* Mon Mar 29 2004 Warren Togami <wtogami@redhat.com> 0:0.102-1
- update to 0.102

* Tue Mar 02 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Thu Feb 14 2004 Warren Togami <wtogami@redhat.com> 0:0.101-2
- upgrade to 0.101
- spec cleanup
- exclude from mainframes
- GPL -> LGPL

* Sun Apr 27 2003 Dams <anvil[AT]livna.org> 0:0.99-0.fdr.2
- Added post/postun scriptlets

* Fri Apr 25 2003 Dams <anvil[AT]livna.org> 
- Initial build.


